> ## Documentation Index
> Fetch the complete documentation index at: https://docs.propaga.mx/llms.txt
> Use this file to discover all available pages before exploring further.

# Resend delivery word for a transaction

> Resend the delivery word for a given transaction

<Note>The assign of the delivery word will work only on transactions with status on-hold. For additional details on how transaction statuses works, click this [link](/about/transaction-status)</Note>

<RequestExample>
  ```bash Request theme={null}
  curl --location --request POST 'https://staging-api.propaga.io/v1/transaction/{transactionId}/delivery-word' \
  --header 'Authorization: <your_awesome_token>' \
  --header 'Content-Type: application/json' \
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "errorMessage": "Delivery word notification sent"
  }
  ```
</ResponseExample>

## Path parameters

<ParamField path="transactionId" type="string" required>
  Propaga's transaction id
</ParamField>

## Response

<ResponseField name="message" type="string" />

## Error codes

<ResponseField>
  ```json Transaction not found (404) theme={null}
  {
      "errorCode": "TRANSACTION_NOT_FOUND",
      "errorMessage": "This transaction not found"
  }
  ```

  ```json Transaction is not on on-hold status (422) theme={null}
  {
      "errorCode": "TRANSACTION_IS_NOT_IN_HOLD",
      "errorMessage": "Your transaction is not in hold status"
  }
  ```

  ```json Transaction does not have a delivery word(400) theme={null}
  {
      "errorCode": "DELIVERY_WORD_NOT_FOUND",
      "errorMessage": "Delivery word not found for this transaction"
  }
  ```
</ResponseField>
